## gpu-burn 0+git20240115+ds

=== Makefile ===
ifneq ("$(wildcard /usr/bin/nvcc)", "")
CUDAPATH ?= /usr
else ifneq ("$(wildcard /usr/local/cuda/bin/nvcc)", "")
CUDAPATH ?= /usr/local/cuda
endif

NVCC     :=  ${CUDAPATH}/bin/nvcc
CCPATH   ?=

override CFLAGS   ?=
override CFLAGS   += -O3
override CFLAGS   += -Wno-unused-result
override CFLAGS   += -I${CUDAPATH}/include
override CFLAGS   += -std=c++11

override LDFLAGS  ?=
override LDFLAGS  += -lcuda
override LDFLAGS  += -L${CUDAPATH}/lib64
override LDFLAGS  += -L${CUDAPATH}/lib64/stubs
override LDFLAGS  += -L${CUDAPATH}/lib
override LDFLAGS  += -L${CUDAPATH}/lib/stubs
override LDFLAGS  += -Wl,-rpath=${CUDAPATH}/lib64
override LDFLAGS  += -Wl,-rpath=${CUDAPATH}/lib
override LDFLAGS  += -lcublas
override LDFLAGS  += -lcudart

COMPUTE      ?= 50
CUDA_VERSION ?= 11.8.0
IMAGE_DISTRO ?= ubi8

override NVCCFLAGS ?=
override NVCCFLAGS += -I${CUDAPATH}/include
override NVCCFLAGS += -arch=compute_$(subst .,,${COMPUTE})

IMAGE_NAME ?= gpu-burn

.PHONY: clean

gpu_burn: gpu_burn-drv.o compare.ptx
	g++ -o $@ $< -O3 ${LDFLAGS}

%.o: %.cpp
	g++ ${CFLAGS} -c $<

%.ptx: %.cu
	PATH="${PATH}:${CCPATH}:." ${NVCC} ${NVCCFLAGS} -ptx $< -o $@

clean:
	$(RM) *.ptx *.o gpu_burn

image:
	docker build --build-arg CUDA_VERSION=${CUDA_VERSION} --build-arg IMAGE_DISTRO=${IMAGE_DISTRO} -t ${IMAGE_NAME} .

=== debian/changelog ===
gpu-burn (0+git20240115+ds-7) unstable; urgency=medium

  * Team upload.
  * Move to contrib.
  * Use nvidia-cuda-toolkit-gcc.
  * Overhaul packaging.
  * Drop redundant Rules-Requires-Root: no.
  * Add upstream metadata.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Dec 2025 10:23:56 +0100

gpu-burn (0+git20240115+ds-6) unstable; urgency=medium

  * d/control:
    - add libcublas12 to Recommends. (Closes: #1108381)
    - add more to Architecture.
    - move to NVIDIA Maintainers team.
    - add XS-Autobuild: yes.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Tue, 23 Sep 2025 08:09:29 +0200

gpu-burn (0+git20240115+ds-5) unstable; urgency=medium

  * d/rules: use gcc-12/g++-12.

 -- Alex Myczko <tar@debian.org>  Wed, 26 Feb 2025 13:00:39 +0100

gpu-burn (0+git20240115+ds-4) unstable; urgency=medium

  * d/control: drop gcc-11/g++-11 from build-depends. (Closes: #1086446)

 -- Alex Myczko <tar@debian.org>  Tue, 05 Nov 2024 09:08:05 +0100

gpu-burn (0+git20240115+ds-3) unstable; urgency=medium

  * d/control: declare library dependency. (Closes: #1071560)
  * Bump standards version to 4.7.0.
  * Patch upstream Makefile to have no RPATHs.

 -- Alex Myczko <tar@debian.org>  Wed, 29 May 2024 07:29:48 +0200

gpu-burn (0+git20240115+ds-2) unstable; urgency=medium

  * Also install compare.ptx.
  * d/control: build-depends for gcc/g++ 11.

 -- Gürkan Myczko <tar@debian.org>  Mon, 19 Feb 2024 18:47:34 +0100

gpu-burn (0+git20240115+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1060830)

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Jan 2024 07:02:11 +0100

=== debian/control ===
Source: gpu-burn
Section: contrib/utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 nvidia-cuda-toolkit-gcc | cuda-12-5 | cuda-12-3 | cuda-11-8 | cuda-11-6,
Standards-Version: 4.7.2
Homepage: https://github.com/wilicc/gpu-burn
Vcs-Browser: https://salsa.debian.org/debian/gpu-burn
Vcs-Git: https://salsa.debian.org/debian/gpu-burn.git

Package: gpu-burn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Recommends: nvidia-smi
Description: Multi-GPU CUDA stress test
 This allows one to run a stress test on your GPUs. Memory usage can
 be controlled by absolute number or percentage. Also allows one to run
 on specific GPU, useful if you have mixed multi GPU system.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/wilicc/gpu-burn/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
